- [HTTP request](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#body.response_body)
- [Try it!](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains/verify#try-it)

Verifies a user's ownership of a domain at the DNS level. Note that this is distinct from checking if the user has OWNER status within IRDB.

### HTTP request

`POST https://gmailpostmastertools.googleapis.com/v2/{name=domains/*}:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The domain to verify. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verificationMethod": enum (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/DomainVerificationMethod`) } ``` |

| Fields ||
|---|---|
| `verificationMethod` | ``enum (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/DomainVerificationMethod`)`` Required. The verification method used. Must be specified, i.e. TXT or CNAME. |

### Response body

If successful, the response body is empty.